/*********************************************************************
 * Módulo 3. Tutorial de desarrollo con NME. Clase Marcador
 * Programación Multimedia y Juegos
 * Autor: David Vallejo Fernández    david.vallejo@tegnix.com
 * Autor: Carlos González Morcillo   carlos.gonzalez@tegnix.com
 *
 * You can redistribute and/or modify this file under the terms of the
 * GNU General Public License ad published by the Free Software
 * Foundation, either version 3 of the License, or (at your option)
 * and later version. See <http://www.gnu.org/licenses/>.
 *
 * This file is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.  
 *********************************************************************/

package book.openfl.beeAdventuresSound.util;

import flash.Lib;
import flash.text.TextField;
import flash.text.TextFormat;
import flash.text.TextFormatAlign;
import openfl.Assets;

class ScoreBoard extends TextField {

  var _score:Int;

  // Constructor =====================================================
  public function new(XPos:Int=20, YPos:Int=20, col:Int = 0xFFFFFF, 
		      font:String = "_sans"):Void {
    super();
    selectable = false;   // El texto no se puede seleccionar
    embedFonts = true;    // La fuente se incrusta en Flash
    
    x = XPos; y = YPos;
    font = Assets.getFont (font).fontName;
    var tf:TextFormat = new TextFormat(font, 80, col, true);
    tf.align = TextFormatAlign.CENTER;
    defaultTextFormat = tf;
    _score = 0;
    update();
  }

  // update ==========================================================  
  public function update(delta:Int = 0):Void {
    _score += delta;
    htmlText = Std.string(_score);
  }
}